<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net7.0</TargetFramework>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>enable</Nullable>
  </PropertyGroup>

  <ItemGroup>
    <Compile Remove="Repository\**" />
    <EmbeddedResource Remove="Repository\**" />
    <None Remove="Repository\**" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\Marco.Pms.Model\Marco.Pms.Model.csproj" />
    <ProjectReference Include="..\Marco.Pms.Utility\Marco.Pms.Utility.csproj" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Microsoft.EntityFrameworkCore.Design" Version="7.0.20">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="Pomelo.EntityFrameworkCore.MySql" Version="7.0.0" />
  </ItemGroup>

</Project>
